summaryrefslogtreecommitdiff
path: root/bin/copy-to-build-support
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2020-01-30 11:18:03 +0100
committerErich Eckner <git@eckner.net>2020-01-30 11:18:03 +0100
commita9d2ea413bc0b4ccbebd2da7a48a8c0dbaf2e676 (patch)
tree6f0c1e23e4671c1522bf518aa00a6663ae1d9cc9 /bin/copy-to-build-support
parent90750bad1b9337731f7ba45b7d4a15544b0e51f6 (diff)
downloadbuilder-a9d2ea413bc0b4ccbebd2da7a48a8c0dbaf2e676.tar.xz
check intentions_left() whenever we get a package_database_lock
Diffstat (limited to 'bin/copy-to-build-support')
-rwxr-xr-xbin/copy-to-build-support12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/copy-to-build-support b/bin/copy-to-build-support
index 351a005..bb7e421 100755
--- a/bin/copy-to-build-support
+++ b/bin/copy-to-build-support
@@ -77,6 +77,18 @@ verbose_flock -s ${wait_for_lock} 9
exec 8> "${package_database_lock_file}"
verbose_flock ${wait_for_lock} 8
+if [ -z "${wait_for_lock}" ]; then
+ while intentions_left; do
+ >&2 echo 'There are still intentions in the queue.'
+ sleep 1
+ done
+else
+ if intentions_left; then
+ >&2 echo 'come back (shortly) later - There are still intentions in the queue.'
+ exit 1
+ fi
+fi
+
tmp_dir=$(mktemp -d "${work_dir}/tmp.copy-to-build-support.0.XXXXXXXXXX")
trap 'rm -rf --one-file-system "${tmp_dir}"' EXIT